@charset "utf-8";
/********************
status_01　待機
status_0-1　待機＿超新人
status_02　チャット
status_03　2チャット
status_04　待ち合わせ
status_04-1 待ち合わせ＿超新人
status_00　offline
status_new 新人、超新人
********************/

.performer-wrap {
  display: flex;
  flex-wrap: wrap;
  gap: 15px 10px;
}

.performer {
  width: 180px;
  border-radius: 16px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, .08);
  line-height: 1;
}

a.performer-link {
  position: relative;
  display: block;
}

.performer-link:hover {
  text-decoration: none;
}





/********** 超新人・ピックアップ・イベント開催時の枠表示 **********/
.performer-status {
  display: none;
  pointer-events: none;
}

.chat-status-performer-list:not(.is_favorite) .performer.has_event-icon .performer-status,
.performer.is_new-face .performer-status,
.chat-status-performer-list:not(.is_favorite) .performer.is_pickup .performer-status,
.chat-status-performer-list:not(.is_favorite) .performer.is_event .performer-status,
.chat-status-performer-list.is_weekly-ranking .performer-status,
.chat-status-performer-list.is_beginner-ranking .performer-status {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  display: block;
  width: 100%;
  height: 100%;
  pointer-events: auto;
}

.performer.is_new-face .performer-status:after {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  content: '';
  background: #46ba00;
  border: 4px solid transparent;
  border-radius: 16px;
  -webkit-mask: linear-gradient(#ffffff 0 0) padding-box, linear-gradient(#ffffff 0 0) border-box;
  -webkit-mask-composite: destination-out;
  mask: linear-gradient(#ffffff 0 0) padding-box, linear-gradient(#ffffff 0 0) border-box;
  mask-composite: exclude;
}

.chat-status-performer-list:not(.is_favorite) .performer.is_pickup .performer-status:after {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  content: '';
  background: linear-gradient(to right, #ff01b7 0%, #cd6fff 50%, #00d0ff 100%) border-box border-box;
  border: 4px solid transparent;
  border-radius: 16px;
  -webkit-mask: linear-gradient(#ffffff 0 0) padding-box, linear-gradient(#ffffff 0 0) border-box;
  -webkit-mask-composite: destination-out;
  mask: linear-gradient(#ffffff 0 0) padding-box, linear-gradient(#ffffff 0 0) border-box;
  mask-composite: exclude;
  pointer-events: none;
}

.chat-status-performer-list:not(.is_favorite) .performer.is_event .performer-status:after {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  content: '';
  background: #f10004;
  border: 4px solid transparent;
  border-radius: 16px;
  -webkit-mask: linear-gradient(#ffffff 0 0) padding-box, linear-gradient(#ffffff 0 0) border-box;
  -webkit-mask-composite: destination-out;
  mask: linear-gradient(#ffffff 0 0) padding-box, linear-gradient(#ffffff 0 0) border-box;
  mask-composite: exclude;
  pointer-events: none;
}

.performer-status__text {
  width: fit-content;
  padding: 4px 8px;
  border-radius: 16px 0 8px 0;
  font-size: 12px;
  font-weight: bold;
  letter-spacing: initial;
  color: #ffff00;
}

.performer.is_new-face .performer-status__text {
  background: #46ba00;
}

.performer.is_pickup .performer-status__text {
  background: linear-gradient(to right, #ff01b7, #cd6fff);
}

.performer.is_event .performer-status__text {
  background: #f10004;
}



/***** ランキング・イベントアイコン *****/
.performer-status__image.is_ranking {
  position: absolute;
  bottom: 49px;
  right: -8px;
  display: block;
}

.performer-status__image.is_my-angel {
  position: absolute;
  top: -10px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;
  display: block;
  width: 59px;
}

.performer-status__image.is_miss-angel {
  position: absolute;
  top: -10px;
  left: 50%;
  transform: translateX(-50%);
  display: block;
  width: 59px;
}

.performer-status__image.is_event {
  position: absolute;
  bottom: 73px;
  right: 3px;
  display: block;
}

.performer-status__image.is_oppai {
  position: absolute;
  bottom: 70px;
  right: 3px;
  display: block;
  width: 43px;
  height: 50px;
  background-repeat: no-repeat;
  background-size: cover;
}

.performer-status__image.is_oppai.is_cup-a {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_a.png);
}

.performer-status__image.is_oppai.is_cup-b {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_b.png);
}

.performer-status__image.is_oppai.is_cup-c {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_c.png);
}

.performer-status__image.is_oppai.is_cup-d {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_d.png);
}

.performer-status__image.is_oppai.is_cup-e {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_e.png);
}

.performer-status__image.is_oppai.is_cup-f {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_f.png);
}

.performer-status__image.is_oppai.is_cup-g {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_g.png);
}

.performer-status__image.is_oppai.is_cup-h {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_h.png);
}

.performer-status__image.is_oppai.is_cup-i {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_i.png);
}

.performer-status__image.is_oppai.is_cup-j {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_j.png);
}

.performer-status__image.is_oppai.is_cup-k {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_k.png);
}

.performer-status__image.is_oppai.is_cup-secret {
  background-image: url(https://assets.angel-live.com/common/images/event_icon_oppai_secret.png);
}



/***** オフライン表示では表示させない *****/
.chat-status-performer-list.is_offline .performer-status {
  display: none;
  pointer-events: none;
}





/********** サムネイル **********/
.performer-thumbnail {
  position: relative;
  width: 100%;
  aspect-ratio: 3 / 4;
  background-size: cover;
  background-position: center center;
  border-radius: 16px 16px 0 0;
  clip-path: inset(0 round 16px 16px 0 0);
}

.performer-thumbnail-picture {
  position: relative;
  width: 100%;
  height: 100%;
  backdrop-filter: blur(6px);
}

.performer-thumbnail-picture__image {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: block;
  width: 100%;
}

.performer-thumbnail-viewer-count {
  position: absolute;
  top: 6px;
  right: 6px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  column-gap: 3px;
  padding: 3px 6px;
  background: rgba(0, 0, 0, .4);
  box-shadow: 0 0 0 1px rgba(255, 255, 255, .35);
  border-radius: 90px;
  font-size: 11px;
  text-align: right;
  color: #ffffff;
}

.performer-thumbnail-viewer-count__icon {
  display: block;
  content: '';
  width: 11px;
  height: 11px;
  background: url(https://assets.angel-live.com/common/images/icon_view_count.svg) no-repeat;
  background-size: cover;
}



/***** Lovense・縦配信・ランキングステータス *****/
.performer-detail-wrap {
  position: absolute;
  bottom: 4px;
  left: 4px;
}

.performer-detail {
  box-sizing: border-box;
  display: flex;
  align-items: center;
  column-gap: 3px;
  width: fit-content;
  padding: 3px 6px;
  background: rgba(0, 0, 0, .54);
  box-shadow: 0 0 0 1px rgba(255, 255, 255, .35);
  border-radius: 90px;
}

.performer-detail:not(:last-child) {
  margin-bottom: 3px;
}

.performer-detail.is_lovense {
  background: linear-gradient(to right, rgba(195, 43, 255, .6), rgba(255, 0, 187, .6));
  font-size: 10px;
  text-transform: uppercase;
  color: #ffff00;
}

.performer-detail.is_vertical-chat {
  font-size: 10px;
  color: #ffffff;
}

.performer-detail.is_ranking {
  font-size: 11px;
  color: #ffff00;
}

.performer-detail__icon {
  display: block;
  content: '';
  width: 11px;
  height: 11px;
  background: url(https://assets.angel-live.com/common/images/icon_ranking.svg) no-repeat;
  background-size: contain;
  background-position: 0 1px;
}





/********** プロフィール **********/
.performer-profile {
  position: relative;
  box-sizing: border-box;
  padding: 6px 8px 10px;
  background-color: #ffffff;
  clip-path: inset(0 round 0 0 16px 16px);
}

.performer-profile-comment {
  display: -webkit-box;
  height: 2.286em;
  margin-bottom: 6px;
  font-size: 14px;
  font-weight: bold;
  line-height: 1.143;
  text-overflow: ellipsis;
  color: #444444;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}



/***** チャットステータス *****/
.performer-profile-schedule {
  box-sizing: border-box;
  width: fit-content;
  height: 18px;
  margin-bottom: 8px;
  padding: 3px 10px;
  border-radius: 4px;
  font-size: 12px;
  font-weight: bold;
  color: #ffffff;
}

/* 待機中 */
.performer.is_wait .performer-profile-schedule {
  background: linear-gradient(to right, #ffba00, #ff8d71);
}

/* パーティー中 */
.performer.is_party-chat .performer-profile-schedule {
  background: linear-gradient(to right, #ff7777, #ff72c4);
}

/* 2SHOT中 */
.performer.is_2shot-chat .performer-profile-schedule {
  background: linear-gradient(to right, #b878f7, #6dafff);
}

/* 待ち合わせ中 */
.performer.is_meet .performer-profile-schedule {
  background: linear-gradient(to right, #2cadff, #13d4e2);
}

/* オフライン */
.chat-status-performer-list.is_offline .performer-profile-schedule,
.performer.is_offline .performer-profile-schedule {
  background: #b5b3b8;
}


/*** 名前 ***/
.performer-profile-name {
  position: relative;
  display: flex;
  align-items: center;
  column-gap: 6px;
  line-height: 1.333em;
  color: #666666;
}

.performer.is_new-face .performer-profile-name,
.performer.is_beginner .performer-profile-name,
.performer.is_official-angel .performer-profile-name {
  padding-left: 19px;
}

.performer.is_new-face .performer-profile-name:before {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  display: block;
  content: '';
  width: 16px;
  height: 16px;
  background: url(https://assets.angel-live.com/common/images/icon_new_face_performer.svg) no-repeat;
  background-size: cover;
}

.performer.is_beginner .performer-profile-name:before {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  display: block;
  content: '';
  width: 16px;
  height: 16px;
  background: url(https://assets.angel-live.com/common/images/icon_beginner_performer.svg) no-repeat;
  background-size: cover;
}

.performer.is_official-angel .performer-profile-name:before {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  display: block;
  content: '';
  width: 16px;
  height: 16px;
  background: url(https://assets.angel-live.com/common/images/icon_official_angel.png) no-repeat;
  background-size: cover;
}





/********** お気に入り・オフライン・ランキング **********/
.section.is_ranking .performer-wrap {
  flex-wrap: nowrap;
  overflow-x: hidden;
}

.chat-status-performer-list.is_weekly-ranking .performer,
.chat-status-performer-list.is_beginner-ranking .performer {
  flex-shrink: 0;
}

.chat-status-performer-list.is_favorite .performer-profile,
.chat-status-performer-list.is_offline .performer-profile,
.chat-status-performer-list.is_weekly-ranking .performer-profile,
.chat-status-performer-list.is_beginner-ranking .performer-profile {
  padding: 6px 8px 12px;
}

.chat-status-performer-list.is_favorite .performer-profile-name,
.chat-status-performer-list.is_offline .performer-profile-name,
.chat-status-performer-list.is_weekly-ranking .performer-profile-name,
.chat-status-performer-list.is_beginner-ranking .performer-profile-name {
  font-size: 14px;
  font-weight: bold;
  line-height: 1.143em;
  color: #444444;
}

.chat-status-performer-list.is_favorite .performer-profile-name__age,
.chat-status-performer-list.is_offline .performer-profile-name__age,
.chat-status-performer-list.is_weekly-ranking .performer-profile-name__age,
.chat-status-performer-list.is_beginner-ranking .performer-profile-name__age {
  font-weight: initial;
  color: #666666;
}

.no-performer {
  margin: 6px 40px 0px;
}



/*** ランキング次・戻るボタン ***/
.chat-status-performer-list .ranking-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 32px;
  height: 86px;
  background-color: #ffffff;
  border: none;
  border-radius: 24px;
  box-shadow: 0 2px 10px #caffb1;
  cursor: pointer;
}

.chat-status-performer-list.is_weekly-ranking .ranking-arrow {
  box-shadow: 0 2px 10px #ffd1eb;
}

.chat-status-performer-list.is_beginner-ranking .ranking-arrow {
  box-shadow: 0 2px 10px #caffb1;
}

.chat-status-performer-list .ranking-arrow.is_prev {
  left: -18px;
}

.chat-status-performer-list .ranking-arrow.is_next {
  right: -18px;
}

/* 矢印 */
.chat-status-performer-list.is_weekly-ranking .ranking-arrow:before,
.chat-status-performer-list.is_weekly-ranking .ranking-arrow:after  {
  position: absolute;
  display: inline-block;
  content: '';
  width: 10px;
  height: 2px;
  background-color: #ffb7e1;
  border-radius: 2px;
}

.chat-status-performer-list.is_beginner-ranking .ranking-arrow:before,
.chat-status-performer-list.is_beginner-ranking .ranking-arrow:after  {
  position: absolute;
  display: inline-block;
  content: '';
  width: 10px;
  height: 2px;
  background-color: #5ed13d;
  border-radius: 2px;
}

.chat-status-performer-list.is_weekly-ranking .is_prev.ranking-arrow:before,
.chat-status-performer-list.is_beginner-ranking .is_prev.ranking-arrow:before {
  top: calc(50% - 4px);
  left: 10px;
  transform: rotate(-45deg);
}

.chat-status-performer-list.is_weekly-ranking .is_prev.ranking-arrow:after,
.chat-status-performer-list.is_beginner-ranking .is_prev.ranking-arrow:after {
  bottom: calc(50% - 4px);
  left: 10px;
  transform: rotate(45deg);
}

.chat-status-performer-list.is_weekly-ranking .is_next.ranking-arrow:before,
.chat-status-performer-list.is_beginner-ranking .is_next.ranking-arrow:before {
  top: calc(50% - 4px);
  left: 12px;
  transform: rotate(45deg);
}

.chat-status-performer-list.is_weekly-ranking .is_next.ranking-arrow:after,
.chat-status-performer-list.is_beginner-ranking .is_next.ranking-arrow:after {
  bottom: calc(50% - 4px);
  left: 12px;
  transform: rotate(-45deg);
}